Bug 827484 - [abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/toxn_40free_2efr at 0x2b0cc90>
[abrt] telepathy-butterfly-0.5.15-4.fc16: connmgr.py:65:disconnected:KeyError...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: telepathy-butterfly (Show other bugs)
16
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Pepple
Fedora Extras Quality Assurance
abrt_hash:b4b660a3b86d2053d077e015b06...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-01 11:19 EDT by Toxico Nimbus
Modified: 2013-02-13 06:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-13 06:19:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toxico Nimbus 2012-06-01 11:19:46 EDT
libreport version: 2.0.8
abrt_version:   2.0.7
cmdline:        /usr/bin/python /usr/libexec/telepathy-butterfly
executable:     /usr/libexec/telepathy-butterfly
kernel:         3.3.7-1.fc16.x86_64
reason:         connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/toxn_40free_2efr at 0x2b0cc90>
time:           ven. 01 juin 2012 16:40:46 CEST
uid:            1000
username:       toxn

backtrace:
:connmgr.py:65:disconnected:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/toxn_40free_2efr at 0x2b0cc90>
:
:Traceback (most recent call last):
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 438, in disconnected
:    self._state = ClientState.CLOSED
:  File "/usr/lib/python2.7/site-packages/papyon/client.py", line 330, in fset
:    self._dispatch("on_client_state_changed", state)
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 44, in _dispatch
:    if event_handler._dispatch_event(name, *args):
:  File "/usr/lib/python2.7/site-packages/papyon/event/__init__.py", line 65, in _dispatch_event
:    handler(*params)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 393, in on_client_state_changed
:    self._disconnected()
:  File "/usr/lib/python2.7/site-packages/butterfly/connection.py", line 286, in _disconnected
:    self._manager.disconnected(self)
:  File "/usr/lib/python2.7/site-packages/butterfly/connection_manager.py", line 51, in disconnected
:    result = telepathy.server.ConnectionManager.disconnected(self, conn)
:  File "/usr/lib/python2.7/site-packages/telepathy/server/connmgr.py", line 65, in disconnected
:    self._connections.remove(conn)
:KeyError: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/toxn_40free_2efr at 0x2b0cc90>
:
:Local variables in innermost frame:
:self: <butterfly.connection_manager.ButterflyConnectionManager at /org/freedesktop/Telepathy/ConnectionManager/butterfly at 0x2b0c850>
:conn: <butterfly.connection.ButterflyConnection at /org/freedesktop/Telepathy/Connection/butterfly/msn/toxn_40free_2efr at 0x2b0cc90>

smolt_data:
:
:
:Général
:=================================
:UUID: d955fdce-7677-4f7a-96a0-e0226702bbfd
:SE: Fedora release 16 (Verne)
:Niveau d'exécution par défaut: Unknown
:Langue: fr_FR.utf8
:Plateforme: x86_64
:BogoMIPS: 4400.22
:Fabricant du processeurs: AuthenticAMD
:Modèle de processeur: AMD Phenom(tm) 9550 Quad-Core Processor
:Stepping du processeur: 3
:Famille de processeur: 16
:Modèle du processeur: 2
:Nombre de processeurs: 4
:Vitesse du processeur: 2200
:Mémoire du système: 3955
:Swap du système: 6236
:Fabricant: System manufacturer
:Système: System Product Name System Version
:Type d'ordinateur: Desktop
:Noyau: 3.3.7-1.fc16.x86_64
:SELinux activé: 1
:Stratégie SELinux: targeted
:SELinux strict: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Périphériques
:=================================
:(4318:1881:4163:33522) pci, pata_amd, STORAGE, MCP78S [GeForce 8200] IDE
:(4318:1908:4163:33605) pci, snd_hda_intel, MULTIMEDIA, MCP72XE/MCP72P/MCP78U/MCP78S High Definition Audio
:(4318:1912:4163:33522) pci, pcieport, PCI/PCI, MCP78S [GeForce 8200] PCI Express Bridge
:(4318:1888:4163:33522) pci, forcedeth, ETHERNET, MCP77 Ethernet
:(4318:1876:4163:33522) pci, None, RAM, MCP78S [GeForce 8200] Memory Controller
:(4318:1384:4163:33522) pci, None, RAM, MCP78S [GeForce 8200] Memory Controller
:(4318:1875:4163:33522) pci, None, PROCESSOR, MCP78S [GeForce 8200] Co-Processor
:(4318:1873:4163:33522) pci, None, RAM, MCP78S [GeForce 8200] Memory Controller
:(4318:1874:4163:33522) pci, nForce2_smbus, SERIAL, MCP78S [GeForce 8200] SMBus
:(4318:1884:4163:33522) pci, None, PCI/ISA, MCP78S [GeForce 8200] LPC Bridge
:(4130:4612:0:0) pci, None, HOST/PCI, Family 10h Processor Link Control
:(4130:4609:0:0) pci, None, HOST/PCI, Family 10h Processor Address Map
:(4130:4608:0:0) pci, None, HOST/PCI, Family 10h Processor HyperTransport Configuration
:(4130:4611:0:0) pci, None, HOST/PCI, Family 10h Processor Miscellaneous Control
:(4130:4610:0:0) pci, None, HOST/PCI, Family 10h Processor DRAM Controller
:(4098:26424:5963:57719) pci, radeon, VIDEO, Barts XT [ATI Radeon HD 6800 Series]
:(4098:43656:5963:43656) pci, snd_hda_intel, MULTIMEDIA, Barts HDMI Audio [Radeon HD 6800 Series]
:(4318:1915:4163:33522) pci, ohci_hcd, USB, MCP78S [GeForce 8200] OHCI USB 1.1 Controller
:(4318:1916:4163:33522) pci, ehci_hcd, USB, MCP78S [GeForce 8200] EHCI USB 2.0 Controller
:(4318:1914:4163:33522) pci, pcieport, PCI/PCI, MCP78S [GeForce 8200] PCI Bridge
:(4318:1883:4163:33522) pci, pcieport, PCI/PCI, MCP78S [GeForce 8200] PCI Express Bridge
:(4318:1882:4163:33522) pci, None, PCI/PCI, MCP78S [GeForce 8200] PCI Bridge
:(4318:2772:4163:33522) pci, ahci, STORAGE, MCP78S [GeForce 8200] AHCI Controller
:(4318:1917:4163:33522) pci, ohci_hcd, USB, MCP78S [GeForce 8200] OHCI USB 1.1 Controller
:(4318:1918:4163:33522) pci, ehci_hcd, USB, MCP78S [GeForce 8200] EHCI USB 2.0 Controller
:
:
:Informations sur le système de fichiers
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/sda2 / ext4 4096 4096 18102801 15178999 14272350 4538368 4209331 4209331
:/dev/sdc1 /home ext4 4096 4096 37438349 1345888 971481 9371648 8933506 8933506
:/dev/sdb1 WITHHELD fuseblk 4096 4096 18152703 3543062 3543062 14499928 14255725 14255725
:
Comment 1 Fedora End Of Life 2013-01-16 06:48:12 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora End Of Life 2013-02-13 06:19:50 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.